petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionCreateSubsection

Create a new, smaller section composed of only the selected fields

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionCreateSubsection(PetscSection s, PetscInt len, const PetscInt fields[], PetscSection *subs)

Collective on s

### Input Parameter

| s | - the PetscSection
| len | - the number of subfields
| fields | - the subfield numbers

### Output Parameter

subs -the subsection

Note: The section offsets now refer to a new, smaller vector.

### See Also

PetscSectionCreateSupersection(), PetscSectionCreate()

### Level

advanced

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages